Skip to main content

Create Webhook

Create a new webhook endpoint.
curl -X POST 'https://api.usehandled.io/api/v1/ipaas/webhook' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "target_url": "https://your-app.com/webhooks/handled",
    "is_active": true,
    "event_types": ["integrated_account:active", "sync_job_run:completed"]
  }'

Parameters

FieldTypeDescription
target_urlstringYour HTTPS endpoint
is_activebooleanEnable/disable the webhook
event_typesarrayEvents to receive (omit for all events)

Response

{
  "id": "webhook_123",
  "target_url": "https://your-app.com/webhooks/handled",
  "secret": "your-webhook-secret",
  "is_active": true,
  "environment_id": "env_456",
  "created_at": "2024-01-15T10:30:00Z"
}
Save the secret value. You need it to verify webhook signatures.

List Webhooks

curl 'https://api.usehandled.io/api/v1/ipaas/webhook' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'

Get Webhook

curl 'https://api.usehandled.io/api/v1/ipaas/webhook/{webhook_id}' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'

Update Webhook

curl -X PATCH 'https://api.usehandled.io/api/v1/ipaas/webhook/{webhook_id}' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "is_active": false
  }'

Delete Webhook

curl -X DELETE 'https://api.usehandled.io/api/v1/ipaas/webhook/{webhook_id}' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'

Test Webhook

Send a test event to your endpoint.
curl -X POST 'https://api.usehandled.io/api/v1/ipaas/webhook/test' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "webhook_123"
  }'